Digital Endpoint¶
Interface to digital entities on BrainStem modules.
Digital entities have the following 5 possibilities: Digital Input, Digital Output, RCServo Input, RCServo Output, and HighZ.
Other capabilities may be available and not all pins support all configurations. Please see the product datasheet.
See the Digital Entity for generic information.
- PUT /api/v1/brainstem/(serial_num)/digital/(index)/configuration¶
Set the digital configuration to one of the available 5 states.
See JSON Schema for Request Object and Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Request JSON Object:
value (integer) –
8-bit Integer value to set.
May be specified as an integer or a string (formatted as “123”, “0x12”, etc.)
- Response JSON Object:
response.value (integer) – Value formatted as an integer
response.rawValue (integer) – Unformatted value
- GET /api/v1/brainstem/(serial_num)/digital/(index)/configuration¶
Get the digital configuration.
See JSON Schema for Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Response JSON Object:
response.value (integer) – Value formatted as an integer
response.rawValue (integer) – Unformatted value
- PUT /api/v1/brainstem/(serial_num)/digital/(index)/state¶
Set the logical state.
See JSON Schema for Request Object and Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Request JSON Object:
value (boolean) –
Boolean value to set.
May be specified as a boolean, integer, or a string (formatted as “True”, “FALSE”, “1”, etc.)
- Response JSON Object:
response.value (boolean) – Value formatted as a boolean
response.rawValue (integer) – Unformatted value
- GET /api/v1/brainstem/(serial_num)/digital/(index)/state¶
Get the state.
See JSON Schema for Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Response JSON Object:
response.value (boolean) – Value formatted as a boolean
response.rawValue (integer) – Unformatted value
- PUT /api/v1/brainstem/(serial_num)/digital/(index)/stateall¶
Sets the logical state of all available digitals based on the bit mapping.
Number of digitals varies across BrainStem modules.
Refer to the datasheet for the capabilities of your module.
See JSON Schema for Request Object and Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Request JSON Object:
value (integer) –
32-bit Integer value to set.
May be specified as an integer or a string (formatted as “123”, “0x12”, etc.)
- Response JSON Object:
response.value (integer) – Value formatted as an integer
response.rawValue (integer) – Unformatted value
- GET /api/v1/brainstem/(serial_num)/digital/(index)/stateall¶
Gets the logical state of all available digitals in a bit mapped representation.
Number of digitals varies across BrainStem modules.
Refer to the datasheet for the capabilities of your module.
See JSON Schema for Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Response JSON Object:
response.value (integer) – Value formatted as an integer
response.rawValue (integer) – Unformatted value
- PUT /api/v1/brainstem/(serial_num)/digital/(index)/value¶
Set the expected value of the digital pin.
See JSON Schema for Request Object and Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Request JSON Object:
value (integer) –
8-bit Integer value to set.
May be specified as an integer or a string (formatted as “123”, “0x12”, etc.)
- Response JSON Object:
response.value (integer) – Value formatted as an integer
response.rawValue (integer) – Unformatted value
- GET /api/v1/brainstem/(serial_num)/digital/(index)/value¶
Get the expected value of the digital pin.
See JSON Schema for Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Response JSON Object:
response.value (integer) – Value formatted as an integer
response.rawValue (integer) – Unformatted value
- PUT /api/v1/brainstem/(serial_num)/digital/(index)/linkchannel¶
Set the link channel (entity index) for linking digital entities.
Two digital entities will link when one is configured as LinkInput, one as LinkOutput, and both have each others linkChannel indexes.
See JSON Schema for Request Object and Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Request JSON Object:
value (integer) –
8-bit Integer value to set.
May be specified as an integer or a string (formatted as “123”, “0x12”, etc.)
- Response JSON Object:
response.value (integer) – Value formatted as an integer
response.rawValue (integer) – Unformatted value
- GET /api/v1/brainstem/(serial_num)/digital/(index)/linkchannel¶
Get the link channel (entity index) for linking digital entities.
See JSON Schema for Response Object
- Parameters:
serial_num – Serial Number of device to access. Formatted as a hex string (e.g. “0x1234ABCD’). Optional on embedded REST server.
index – Index of entity to access. Default is 0.
- Response JSON Object:
response.value (integer) – Value formatted as an integer
response.rawValue (integer) – Unformatted value